[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# StrToNetAddr6

Convert a string to a IPV6 network address

## Declaration

Source position: socketsh.inc line 230

`function StrToNetAddr6(`
`IP: AnsiString`
`):Tin6_addr;`

## Description

StrToNetAddr6 converts the string representation in IP to a IPV6 network address and returns the network address.

## Errors

On error, the address is filled with zeroes.

## See also

NetAddrToStr6 |  | Convert a IPV6 network address to a string.
HostAddrToStr6 |  | Convert a IPV6 host address to a string representation.
StrToHostAddr6 |  | Convert a string to a IPV6 host address.

Documentation generated on: Feb 26 2014